Je vyžadován vlastník
API při tomto problému vrací 403 Forbidden. Hodnota type je https://lingo.dev/docs/api/errors/owner-required. Společnou strukturu všech chyb najdete v části Chyby a stavové kódy.
Roli Vlastník může někomu přidělit pouze vlastník organizace <organizationId>. Požádejte o to vlastníka této organizace.
Pole#
Kromě standardních položek type, status, title a detail obsahuje tělo odpovědi následující pole. Z nich se sestavuje text detail, takže klient může místo něj zobrazit vlastní text.
| Pole | Typ |
|---|---|
organizationId | string |
action | "grantOwner" | "revokeOwner" | "manageSso" | "createScimKey" | "changeScimKeyRole" | "revokeScimKey" |
Příklad#
json
{
"detail": "Only an Owner of organization <organizationId> can give someone the Owner role. Ask an Owner of this organization to do it.",
"organizationId": "<organizationId>",
"action": "grantOwner",
"type": "https://lingo.dev/docs/api/errors/owner-required",
"status": 403,
"title": "Owner required"
}Vracejí tyto koncové body#
DELETE /v2/service-api-keys/{id}PATCH /v2/organizations/{orgId}/members/{userId}PATCH /v2/organizations/{orgId}/ssoPATCH /v2/service-api-keys/{id}POST /v2/organizations/{orgId}/service-api-keys/scimPOST /v2/organizations/{orgId}/sso/disconnectPUT /v2/organizations/{orgId}/sso